//*****************************************************************************
// File Name	: keyin.h
// 
// Title		: I2C UI slave
// Revision		: 1.0
// Notes		: 
// Target MCU	: Atmel AVR series
// Editor Tabs	: 4
// 
// Revision History:
// -----------	-----------	-----------------------
// 09-Sep-2009	Chuck		Created the program
// 
//*****************************************************************************


#ifndef KEYIN_H
#define KEYIN_H

#define KEY_BUF_SIZE 1
#define RE_BUF_SIZE 4

enum { cRE_NoTurn = ' ', cRE_RightTurn = 'R', cRE_LeftTurn = 'L' };
enum { KEY_SS, KEY_EDIT };


/* prototypes */
extern void keyInit(void);
extern uint8_t keyGetStat(void);
extern uint8_t keyGetCmd(void);

extern void reInit(void);
extern void reEnable(void);
extern void reDisable(void);
extern uint8_t reGetCmd(void);

#endif 
